Subject: Re: [B.A.T.M.A.N.] [RFC v2 2/6] batman-adv: Rename batman-adv.h to batadv_genl.h

From: Sven Eckelmann <[email-masked]>
Date: Wed, 06 Dec 2017 17:55:42 +0100

On Mittwoch, 6. Dezember 2017 11:42:33 CET Willem de Bruijn wrote:
> On Tue, Dec 5, 2017 at 9:35 AM, Sven Eckelmann
> <[email-masked]> wrote:
> > This file contains the relevant information to let userspace communicate
> > with batman-adv over generic netlink. The relevant genl enums for the
> > attributes and commands have the prefix batadv_genl. Renaming this file to
> > this name therefore represents the content better and avoids confusion 
with
> > the file which will contain the packet format definitions.
> >
> > Signed-off-by: Sven Eckelmann <[email-masked]>
> > ---
> >  MAINTAINERS                                        | 2 +-
> >  include/uapi/linux/{batman_adv.h => batadv_genl.h} | 6 +++---
> 
> This and the previous patch changes uapi. That might break userspace
> applications that rely on it.

I am not aware of any application because all (alfred, batctl and some gluon 
integration) of them currently ship their own copy because distribution didn't 
catch up. And this is also the reason why I want to do it now - not later.

Kind regards,
	Sven